# Administration Reference

## bos removehost

Purpose

Removes a database server machine from the /usr/afs/etc/CellServDB file

Synopsis

    bos removehost -server <machine name>  -host <host name>+
                   [-cell <cell name>]  [-noauth]  [-localauth]  [-help]

    bos removeh -s <machine name>  -ho <host name>+  [-c <cell name>]
                [-n]  [-l]  [-he]

Description

The bos removehost command removes the entry for each database server machine specified with the -host argument from the /usr/afs/etc/CellServDB file on the server machine named by the -server argument.

Cautions

After executing this command (and waiting for the Update Server to propagate the changes, if it is used), restart the database server processes on all database server machines to force election of a quorum that includes the new set of machines listed in the /usr/afs/etc/CellServDB file. The IBM AFS Quick Beginnings explains in more detail how to add and remove database server machines.

Options

-server
  Indicates the server machine on which to change the /usr/afs/etc/CellServDB file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

  In cells that run the United States edition of AFS and use the Update Server to distribute the contents of the /usr/afs/etc directory, it is conventional to specify only the system control machine as a value for the -server argument. In cells that run the international version of AFS, repeat the command for each file server machine. For further discussion, see the introductory reference page for the bos command suite.

-host
  Specifies the fully-qualified host name (such as fs2.abc.com) of each database server machine to remove from the CellServDB file.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command removes the former database server machine db2.abc.com from the CellServDB file on the system control machine fs1.abc.com.

       % bos removehost -server fs1.abc.com -host db2.abc.com

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

KeyFile

UserList

bos

bos addhost

bos listhosts

IBM AFS Quick Beginnings

© IBM Corporation 2000. All Rights Reserved